Get Proof Page Metadata
curl --request GET \
--url https://api.truthlocks.com/v1/public/proof/{attestation_id}const options = {method: 'GET'};
fetch('https://api.truthlocks.com/v1/public/proof/{attestation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/public/proof/{attestation_id}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/public/proof/{attestation_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"content_type": "<string>",
"file_name": "<string>",
"file_size": 123,
"content_hash": "<string>",
"category": "<string>",
"protected_at": "2023-11-07T05:31:56Z"
}Consumer (B2C)
Get Proof Page Metadata
Returns metadata for a consumer content protection, used to render public proof pages. No authentication required.
GET
/
v1
/
public
/
proof
/
{attestation_id}
Get Proof Page Metadata
curl --request GET \
--url https://api.truthlocks.com/v1/public/proof/{attestation_id}const options = {method: 'GET'};
fetch('https://api.truthlocks.com/v1/public/proof/{attestation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/public/proof/{attestation_id}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/public/proof/{attestation_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"content_type": "<string>",
"file_name": "<string>",
"file_size": 123,
"content_hash": "<string>",
"category": "<string>",
"protected_at": "2023-11-07T05:31:56Z"
}Returns metadata for a consumer content protection record. Use this endpoint to render proof pages that show what was protected, when, and by whom — without requiring authentication.
This is a public endpoint. No API key or bearer token is needed. It is designed for proof page rendering and link previews (e.g. Open Graph metadata for shared proof URLs).
Responses
Path Parameters
Response
Proof page metadata

